[Groonga-mysql-commit] mroonga/mroonga [master] [mariadb] support test but it is failed. fixes #1152

アーカイブの一覧に戻る

null+****@clear***** null+****@clear*****
2011年 10月 31日 (月) 23:56:15 JST


Kouhei Sutou	2011-10-31 14:56:15 +0000 (Mon, 31 Oct 2011)

  New Revision: 19c5a997bc5c2d94344154c7df300f3eaa79d915

  Log:
    [mariadb] support test but it is failed. fixes #1152

  Modified files:
    configure.ac
    test/run-sql-test.sh

  Modified: configure.ac (+1 -6)
===================================================================
--- configure.ac    2011-10-31 14:40:51 +0000 (6a67ade)
+++ configure.ac    2011-10-31 14:56:15 +0000 (dc9f2f2)
@@ -75,12 +75,7 @@ AC_DEFUN([CONFIG_OPTION_MYSQL],[
   fi
   MYSQL_CFLAGS="$MYSQL_CFLAGS $($ac_mysql_config --cflags)"
   MYSQL_INC="$MYSQL_INC $($ac_mysql_config --include)"
-  ac_mysql_major_version="`$ac_mysql_config --version | cut -b 1,3`"
-  if test $ac_mysql_major_version -lt 55; then
-    MYSQL_VERSION="5.1"
-  else
-    MYSQL_VERSION="5.5"
-  fi
+  MYSQL_VERSION="$($ac_mysql_config --version)"
 ])
 
 AC_DEFUN([CONFIG_OPTION_MECAB],[

  Modified: test/run-sql-test.sh (+17 -5)
===================================================================
--- test/run-sql-test.sh    2011-10-31 14:40:51 +0000 (c5dbe06)
+++ test/run-sql-test.sh    2011-10-31 14:56:15 +0000 (aa38af1)
@@ -24,12 +24,20 @@ build_mysql_test_dir="${MYSQL_BUILD}/mysql-test"
 source_test_suites_dir="${source_mysql_test_dir}/suite"
 build_test_suites_dir="${build_mysql_test_dir}/suite"
 case "${MYSQL_VERSION}" in
-    5.1)
+    5.1.*)
 	plugins_dir="${MYSQL_BUILD}/lib/mysql/plugin"
 	if ! test -d "${build_test_suites_dir}"; then
 	    mkdir -p "${build_test_suites_dir}"
 	fi
 	;;
+    5.3.*-MariaDB*)
+	if ! test -d "${build_test_suites_dir}"; then
+	    ln -s "${source_test_suites_dir}" "${build_test_suites_dir}"
+	fi
+	if ! test -d "${MYSQL_BUILD}/plugin/mroonga"; then
+	    ln -s "${top_dir}" "${MYSQL_BUILD}/plugin/mroonga"
+	fi
+	;;
     *)
 	if ! test -d "${build_test_suites_dir}"; then
 	    ln -s "${source_test_suites_dir}" "${build_test_suites_dir}"
@@ -47,10 +55,14 @@ for test_suite_name in groonga_include $(echo $test_suite_names | sed -e 's/,/ /
     fi
 done
 
-make -C ${top_dir} \
-    install-pluginLTLIBRARIES \
-    plugindir=${plugins_dir} > /dev/null || \
-    exit 1
+if test -n "${plugins_dir}"; then
+    make -C ${top_dir} \
+	install-pluginLTLIBRARIES \
+	plugindir=${plugins_dir} > /dev/null || \
+	exit 1
+else
+    make -C ${top_dir} > /dev/null || exit 1
+fi
 
 (cd "$build_mysql_test_dir" && \
     ./mysql-test-run.pl \




Groonga-mysql-commit メーリングリストの案内
アーカイブの一覧に戻る